Bug 1019960 - [abrt] yum-3.4.3-111.fc19: yumcommands.py:3678:doCommand:TypeError: 'NoneType' object is not iterable
[abrt] yum-3.4.3-111.fc19: yumcommands.py:3678:doCommand:TypeError: 'NoneType...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
abrt_hash:7f3a237db6d422e3383d0cfc467...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 13:12 EDT by Joe Sapp
Modified: 2014-07-09 11:23 EDT (History)
6 users (show)

See Also:
Fixed In Version: yum-3.4.3-148.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-09 22:57:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (18.70 KB, text/plain)
2013-10-16 13:12 EDT, Joe Sapp
no flags Details
File: environ (2.10 KB, text/plain)
2013-10-16 13:13 EDT, Joe Sapp
no flags Details

  None (edit)
Description Joe Sapp 2013-10-16 13:12:55 EDT
Description of problem:
I have some old packages installed from the @texlive/17 repo, so I tried to run:
$ sudo yum repo-pkgs 'texlive' remove-or-distro-sync

Version-Release number of selected component:
yum-3.4.3-111.fc19

Additional info:
reporter:       libreport-2.1.8
cmdline:        /usr/bin/python /usr/bin/yum repo-pkgs texlive remove-or-distro-sync
executable:     /usr/bin/yum
kernel:         3.11.4-201.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
#1 doCommand in /usr/share/yum-cli/yumcommands.py:3678
#2 doCommands in /usr/share/yum-cli/cli.py:569
#3 main in /usr/share/yum-cli/yummain.py:174
#4 user_main in /usr/share/yum-cli/yummain.py:355
#5 <module> in /usr/bin/yum:29
Comment 1 Joe Sapp 2013-10-16 13:12:58 EDT
Created attachment 813067 [details]
File: backtrace
Comment 2 Joe Sapp 2013-10-16 13:13:02 EDT
Created attachment 813068 [details]
File: environ
Comment 3 Zdeněk Pavlas 2013-10-17 04:29:37 EDT
Easy to fix with just:

-                    for toinst in apkgs:
+                    for toinst in apkgs or []:

..but maybe James would like to look at this too.. The apkgs setup code in remove-or-distro-sync seems broken to me.
Comment 4 James Antill 2014-04-07 17:17:06 EDT
 Upstream fix is basically the same:

-                    apkgs = None
+                    apkgs = []
Comment 5 Fedora Update System 2014-05-22 09:10:36 EDT
yum-3.4.3-148.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/yum-3.4.3-148.fc20
Comment 6 Fedora Update System 2014-05-23 14:55:05 EDT
Package yum-3.4.3-148.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing yum-3.4.3-148.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6603/yum-3.4.3-148.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2014-06-09 22:57:27 EDT
yum-3.4.3-148.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2014-07-09 11:23:03 EDT
yum-3.4.3-152.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/yum-3.4.3-152.fc19

Note You need to log in before you can comment on or make changes to this bug.